Subject: bug#103 closed by Chong Yidong <[email-masked]> (Re: 23.0.60; Segmentation fault loading auto-lang.el)

From: [email-masked] (Emacs bug Tracking System)

This is an automatic notification regarding your bug report
which was filed against the emacs package:

#103: 23.0.60; Segmentation fault loading auto-lang.el

It has been closed by Chong Yidong <[email-masked]>.

Their explanation is attached below along with your original report.
If this explanation is unsatisfactory and you have not received a
better one in a separate message then please contact Chong Yidong <[email-masked]> by
replying to this email.

-- 
103: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=103
Emacs Bug Tracking System
Contact [email-masked] with problems
>From [email-masked] Tue Apr  8 21:32:24 2008
From: Chong Yidong <[email-masked]>
To: [email-masked]
Subject: Re: 23.0.60; Segmentation fault loading auto-lang.el
Date: Wed, 09 Apr 2008 00:32:15 -0400

I've checked in the fix to regexp-opt.

>From [email-masked] Sun Mar 30 15:10:48 2008
Resent-Message-ID: <[email-masked]>
Resent-To: [email-masked]
Resent-From: Stefan Monnier <[email-masked]>
Resent-Date: Sun, 30 Mar 2008 18:10:35 -0400
From: intrigeri <[email-masked]>
To: [email-masked]
Date: Sun, 30 Mar 2008 20:38:09 +0200
Cc: Colin Marquardt <[email-masked]>, [email-masked]
Subject: 23.0.60; Segmentation fault loading auto-lang.el
Sender: bug-gnu-emacs-bounces+monnier=[email-masked]

Hello,

First glance :
- download http://www.marquardt-home.de/auto-lang.el to ~/.elisp/
- run emacs -Q
- M-x load-file
- choose file ~/.elisp/auto-lang.el
=3D> Emacs segfaults (same result with emacs -Q -nw)

Trying harder :
- download http://www.marquardt-home.de/auto-lang.el to ~/.elisp/
- run emacs -Q
- C-x C-f ~/.elisp/auto-lang.el
- select region from the beginning of the file to, and including, line 1398
- eval-region
=3D> Emacs eval=E2=80=99s the region just fine
- then eval the next sexp : (defvar al-german-common-8bit-regexp ... )
=3D> Emacs segfaults (same result with emacs -Q -nw)

I know that auto-lang.el is not part of GNU Emacs, but I guess that
Emacs is supposed not to segfault when loading random *.el files.

I=E2=80=99m running Romain Fran=C3=A7oise=E2=80=99s emacs-snapshot Debian p=
ackage, based on
Emacs CVS (2008-03-28) :

In GNU Emacs 23.0.60.1 (i486-pc-linux-gnu, GTK+ Version 2.12.9)
 of 2008-03-28 on elegiac, modified by Debian
 (emacs-snapshot package, version 1:20080328-1)
configured using `configure  '--build' 'i486-linux-gnu' '--host' 'i486-linu=
x-gnu' '--prefix=3D/usr' '--sharedstatedir=3D/var/lib' '--libexecdir=3D/usr=
/lib' '--localstatedir=3D/var' '--infodir=3D/usr/share/info' '--mandir=3D/u=
sr/share/man' '--with-pop=3Dyes' '--enable-locallisppath=3D/etc/emacs-snaps=
hot:/etc/emacs:/usr/local/share/emacs/23.0.60/site-lisp:/usr/local/share/em=
acs/site-lisp:/usr/share/emacs/23.0.60/site-lisp:/usr/share/emacs/site-lisp=
:/usr/share/emacs/23.0.60/leim' '--with-x=3Dyes' '--with-x-toolkit=3Dgtk' '=
build_alias=3Di486-linux-gnu' 'host_alias=3Di486-linux-gnu' 'CFLAGS=3D-DDEB=
IAN -DSITELOAD_PURESIZE_EXTRA=3D5000 -g -O2''

Important settings:
  value of $LC_ALL: fr_FR.UTF-8
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: UTF-8
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: fr_FR.UTF-8
  value of $XMODIFIERS: nil
  locale-coding-system: utf-8-unix
  default-enable-multibyte-characters: t

Major mode: Lisp Interaction

Minor modes in effect:
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  global-auto-composition-mode: t
  auto-composition-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent input:
ESC x r e p o r t - e m TAB RET

Recent messages:
("emacs" "-Q")

Bye,
--=20
  intrigeri <[email-masked]>